## tdegames-trinity 14.0.5

=== CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tdegames )
set( VERSION R14.0.5 )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckLibraryExists )
include( CheckSymbolExists )
include( CheckCXXSourceCompiles )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
option( WITH_ARTS        "Enable aRts support" ${WITH_ALL_OPTIONS} )


##### options comments ##########################

# WITH_ARTS        affects    kbounce
#                  if disabled the game will have no sound
# NOTE: ARTS is unconditionally required to build kolf and kasteroids

##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )

option( BUILD_ATLANTIK     "Build atlantik"      ${BUILD_ALL} )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_KASTEROIDS   "Build kasteroids"    ${BUILD_ALL} )
option( BUILD_KATOMIC      "Build katomic"       ${BUILD_ALL} )
option( BUILD_KBACKGAMMON  "Build kbackgammon"   ${BUILD_ALL} )
option( BUILD_KBATTLESHIP  "Build kbattleship"   ${BUILD_ALL} )
option( BUILD_KBLACKBOX    "Build kblackbox"     ${BUILD_ALL} )
option( BUILD_KBOUNCE      "Build kbounce"       ${BUILD_ALL} )
option( BUILD_KENOLABA     "Build kenolaba"      ${BUILD_ALL} )
option( BUILD_KFOULEGGS    "Build kfouleggs"     ${BUILD_ALL} )
option( BUILD_KGOLDRUNNER  "Build kgoldrunner"   ${BUILD_ALL} )
option( BUILD_KJUMPINGCUBE "Build kjumpingcube"  ${BUILD_ALL} )
option( BUILD_KLICKETY     "Build klickety"      ${BUILD_ALL} )
option( BUILD_KLINES       "Build klines"        ${BUILD_ALL} )
option( BUILD_KMAHJONGG    "Build kmahjongg"     ${BUILD_ALL} )
option( BUILD_KMINES       "Build kmines"        ${BUILD_ALL} )
option( BUILD_KNETWALK     "Build knetwalk"      ${BUILD_ALL} )
option( BUILD_KOLF         "Build kolf"          ${BUILD_ALL} )
option( BUILD_KONQUEST     "Build konquest"      ${BUILD_ALL} )
option( BUILD_KPAT         "Build kpat"          ${BUILD_ALL} )
option( BUILD_KPOKER       "Build kpoker"        ${BUILD_ALL} )
option( BUILD_KREVERSI     "Build kreversi"      ${BUILD_ALL} )
option( BUILD_KSAME        "Build ksame"         ${BUILD_ALL} )
option( BUILD_KSHISEN      "Build kshisen"       ${BUILD_ALL} )
option( BUILD_KSIRTET      "Build ksirtet"       ${BUILD_ALL} )
option( BUILD_KSMILETRIS   "Build ksmiletris"    ${BUILD_ALL} )
option( BUILD_KSNAKE       "Build ksnake"        ${BUILD_ALL} )
option( BUILD_KSOKOBAN     "Build ksokoban"      ${BUILD_ALL} )
option( BUILD_KSPACEDUEL   "Build kspaceduel"    ${BUILD_ALL} )
option( BUILD_KTRON        "Build ktron"         ${BUILD_ALL} )
option( BUILD_KTUBERLING   "Build ktuberling"    ${BUILD_ALL} )
option( BUILD_LIBTDEGAMES  "Build libtdegames"   ${BUILD_ALL} )
option( BUILD_LSKAT        "Build lskat"         ${BUILD_ALL} )
option( BUILD_TWIN4        "Build twin4"         ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )

if( WITH_TEST )
  enable_testing()
endif( WITH_TEST )

##### add apidox targets ############

add_custom_target(apidox
  COMMAND "./generate_apidox" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${HTML_INSTALL_DIR}" "/usr/share/tqt3/doc/html"
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/cmake/")

add_custom_target(install-apidox
  COMMAND "./install_apidox" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${HTML_INSTALL_DIR}" "${CMAKE_INSTALL_PREFIX}"
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/cmake/")


##### tdegames directories #####################

tde_conditional_add_subdirectory( BUILD_ATLANTIK     atlantik     )
tde_conditional_add_subdirectory( BUILD_DOC          doc          )
tde_conditional_add_subdirectory( BUILD_KASTEROIDS   kasteroids   )
tde_conditional_add_subdirectory( BUILD_KATOMIC      katomic      )
tde_conditional_add_subdirectory( BUILD_KBACKGAMMON  kbackgammon  )
tde_conditional_add_subdirectory( BUILD_KBATTLESHIP  kbattleship  )
tde_conditional_add_subdirectory( BUILD_KBLACKBOX    kblackbox    )
tde_conditional_add_subdirectory( BUILD_KBOUNCE      kbounce      )
tde_conditional_add_subdirectory( BUILD_KENOLABA     kenolaba     )
tde_conditional_add_subdirectory( BUILD_KFOULEGGS    kfouleggs    )
tde_conditional_add_subdirectory( BUILD_KGOLDRUNNER  kgoldrunner  )
tde_conditional_add_subdirectory( BUILD_KJUMPINGCUBE kjumpingcube )
tde_conditional_add_subdirectory( BUILD_KLICKETY     klickety     )
tde_conditional_add_subdirectory( BUILD_KLINES       klines       )
tde_conditional_add_subdirectory( BUILD_KMAHJONGG    kmahjongg    )
tde_conditional_add_subdirectory( BUILD_KMINES       kmines       )
tde_conditional_add_subdirectory( BUILD_KNETWALK     knetwalk     )
tde_conditional_add_subdirectory( BUILD_KOLF         kolf         )
tde_conditional_add_subdirectory( BUILD_KONQUEST     konquest     )
tde_conditional_add_subdirectory( BUILD_KPAT         kpat         )
tde_conditional_add_subdirectory( BUILD_KPOKER       kpoker       )
tde_conditional_add_subdirectory( BUILD_KREVERSI     kreversi     )
tde_conditional_add_subdirectory( BUILD_KSAME        ksame        )
tde_conditional_add_subdirectory( BUILD_KSHISEN      kshisen      )
tde_conditional_add_subdirectory( BUILD_KSIRTET      ksirtet      )
tde_conditional_add_subdirectory( BUILD_KSMILETRIS   ksmiletris   )
tde_conditional_add_subdirectory( BUILD_KSNAKE       ksnake       )
tde_conditional_add_subdirectory( BUILD_KSOKOBAN     ksokoban     )
tde_conditional_add_subdirectory( BUILD_KSPACEDUEL   kspaceduel   )
tde_conditional_add_subdirectory( BUILD_KTRON        ktron        )
tde_conditional_add_subdirectory( BUILD_KTUBERLING   ktuberling   )
tde_conditional_add_subdirectory( BUILD_LIBTDEGAMES  libtdegames  )
tde_conditional_add_subdirectory( BUILD_LSKAT        lskat        )
tde_conditional_add_subdirectory( BUILD_TWIN4        twin4        )

if( BUILD_KSIRTET OR BUILD_KFOULEGGS OR BUILD_KLICKETY )
  add_subdirectory( libksirtet )
endif( )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

## tdegames-trinity 14.0.4

=== debian/changelog ===
tdegames-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 11:57:09 +0200

tdegames-trinity (4:3.5.10-0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

tdegames-trinity (4:3.5.10-0ubuntu1~intrepid3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 28 Feb 2009 16:19:00 -0600

tdegames-trinity (4:3.5.10-0ubuntu1~intrepid2) intrepid; urgency=low

  * SVN import

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 26 Sep 2008 20:33:00 -0600

tdegames (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Bump version of tdelibs4-dev build dep to 3.5.10
    - Drop 11_include_tdeapplication.diff - applied upstream 

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:42:38 -0400

tdegames (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:06 +0000

tdegames (4:3.5.8-1ubuntu3) hardy; urgency=low

  * Remove clean: rule, redundant since we do not use tar inside .orig.tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 19:19:49 +0000

tdegames (4:3.5.8-1ubuntu2) hardy; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 10:25:56 +0000

tdegames (4:3.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining changes:
   - not DEB_KDE_CVS_MAKE
   - remove from rules clean:: rm -f patches and .tar.bz2
   - don't build-dep on automake1.9
   - remove stamp-libtool rules (3 of them) from debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:41 +0000

tdegames (4:3.5.8-1) unstable; urgency=low

  * New upstream release.
  * Implement use of uploades.mk and update uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 14 Oct 2007 17:35:09 +0200

tdegames (4:3.5.7-2) unstable; urgency=low

  * Add patch to include tdeapplication.h in katomic. Fixes build failure on
    alpha. Thanks to Steve Langasek for the fix.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 22 Jan 2007 05:59:42 +0100

tdegames (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:24 +0100

tdegames (4:3.5.7-1ubuntu2) gutsy; urgency=low

  * Fix build failures with g++-4.3. LP: #138593.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Sep 2007 00:43:42 +0000

tdegames (4:3.5.7-1ubuntu1) gutsy; urgency=low

  [ Sarah Hobbs ]
  * Merge with Debian for new upstream version, remaining
    changes in KUBUNTU-DEBIAN-DIFFERENCES
  * Closes bug 
    https://bugs.launchpad.net/ubuntu/+source/tdegames/+bug/70264
    "knetwalk does not have a .desktop file"
  * Add Suggests: khelpcenter to tdegames.  Closes bug #115523

  [ Jonathan Riddell ]
  * Build-dep on tdelibs 3.5.7

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Tue, 22 May 2007 11:07:00 +1000

tdegames (4:3.5.7-1) unstable; urgency=low

  * New upstream release.
  * Switch away from tarball.mk.
  * Install knetwalk desktop file.
  * Remember the dots in my changelog entry.

 -- Sune Vuorela <debian@pusling.com>  Tue, 15 May 2007 12:40:00 +0200

tdegames (4:3.5.6-2ubuntu2) gutsy; urgency=low

  * Remove stamp libtool rules from debian/rules, fixes compile

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 02 May 2007 17:13:48 +0100

tdegames (4:3.5.6-2ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 20:32:54 +0100

tdegames (4:3.5.6-2) unstable; urgency=low

  * Upload to unstable after Etch release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 19 Apr 2007 13:03:44 +0200

tdegames (4:3.5.6-1) experimental; urgency=low

  [ Daniel Schepler ]
  * Fix override disparity in debian/control.

  [ Josh Metzler ]
  * Add 10_fix_highscores_display.diff to read the correct high scores config
    key and copy over high scores from the old config key if it exists and the
    new one doesn't. Closes: #396563.
  * Make tdegames-dbg depend on tdelibs-dbg to get useful backtraces when
    debugging. 
    
  [Ana Beatriz Guerrero Lopez]
  * Add myself to Uploaders.
  * Upload to experimental.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 22 Jan 2007 05:59:42 +0100

tdegames (4:3.5.6-0ubuntu2) feisty; urgency=low

  * Re-run buildprep to fix build failure

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Mar 2007 00:20:14 +0000

tdegames (4:3.5.6-0ubuntu1) feisty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Jan 2007 11:22:30 +0000

tdegames (4:3.5.5-1ubuntu2) feisty; urgency=low

  * rebuild with --enable-gcc-hidden-visibility

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Nov 2006 19:39:16 +0000

tdegames (4:3.5.5-1ubuntu1) feisty; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Nov 2006 23:07:26 +0000

tdegames (4:3.5.5-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Schepler <schepler@debian.org>  Sun,  8 Oct 2006 10:34:10 +0200

tdegames (4:3.5.4-2) unstable; urgency=low

  * KDE_3_5_BRANCH update (up to r577498).

  +++ Changes by Christopher Martin:

  * Packaging sync with the rest of the team KDE packages. Update
    package descriptions, sync debian-qt-kde.mk and other CDBS
    stuff (should help building on slow architectures).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 26 Aug 2006 17:00:43 -0400

tdegames (4:3.5.4-1) unstable; urgency=low

  * New upstream release.
    + Fixes detection of autoconf version 2.60.  Closes: #379816.
  * Bump standards version to 3.7.2 (no changes needed).



=== debian/control ===
Source: tdegames-trinity
Section: games
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Daniel Schepler <schepler@debian.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, gawk, gettext, tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libtool, groff-base, sharutils, bzip2, sharutils, libogg-dev, automake, autoconf, libtool, libltdl-dev
Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, libtqtinterface-doc, tdelibs14-trinity-doc
Standards-Version: 3.8.4

Package: tdegames-trinity
Architecture: all
Section: tde
Replaces: kdegames-kde3 (<< 4:14.0.0~), kdegames-trinity (<< 4:14.0.0~)
Breaks: kdegames-kde3 (<< 4:14.0.0~), kdegames-trinity (<< 4:14.0.0~)
Depends: atlantik-trinity (>= ${Source-Version}), kasteroids-trinity (>= ${Source-Version}), katomic-trinity (>= ${Source-Version}), kbackgammon-trinity (>= ${Source-Version}), kbattleship-trinity (>= ${Source-Version}), kblackbox-trinity (>= ${Source-Version}), kbounce-trinity (>= ${Source-Version}), kenolaba-trinity (>= ${Source-Version}), kfouleggs-trinity (>= ${Source-Version}), kgoldrunner-trinity (>= ${Source-Version}), kjumpingcube-trinity (>= ${Source-Version}), klickety-trinity (>= ${Source-Version}), klines-trinity (>= ${Source-Version}), kmahjongg-trinity (>= ${Source-Version}), kmines-trinity (>= ${Source-Version}), knetwalk-trinity (>= ${Source-Version}), kolf-trinity (>= ${Source-Version}), konquest-trinity (>= ${Source-Version}), kpat-trinity (>= ${Source-Version}), kpoker-trinity (>= ${Source-Version}), kreversi-trinity (>= ${Source-Version}), ksame-trinity (>= ${Source-Version}), kshisen-trinity (>= ${Source-Version}), ksirtet-trinity (>= ${Source-Version}), ksmiletris-trinity (>= ${Source-Version}), ksnake-trinity (>= ${Source-Version}), ksokoban-trinity (>= ${Source-Version}), kspaceduel-trinity (>= ${Source-Version}), ktron-trinity (>= ${Source-Version}), ktuberling-trinity (>= ${Source-Version}), twin4-trinity (>= ${Source-Version}), lskat-trinity (>= ${Source-Version})
Suggests: tdegames-trinity-doc-html (>= ${Source-Version}), khelpcenter-trinity
Description: games from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of games provided with
 the official release of TDE.

Package: tdegames-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdegames-kde3-doc-html (<< 4:14.0.0~), kdegames-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdegames-kde3-doc-html (<< 4:14.0.0~), kdegames-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdegames-trinity
Description: TDE games documentation in HTML format
 By default the games provided with TDE (the Trinity Desktop Environment)
 only provide their documentation in TDE docbook format, which can
 only be read by Konqueror or KHelpCenter.  This package provides all
 of the TDE games documentation converted to HTML format so it can be
 read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/tde/HTML/en/<package>/, for instance
 /usr/share/doc/tde/HTML/en/kasteroids/.
 .
 This package is part of TDE, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: libtdegames1-trinity
Architecture: any
Section: games
Replaces: libkdegames1-kde3 (<< 4:14.0.0~), libkdegames1-trinity (<< 4:14.0.0~)
Breaks: libkdegames1-kde3 (<< 4:14.0.0~), libkdegames1-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Trinity games library and common files
 This library provides a common infrastructure for several of the
 games in the TDE distribution. Features include standardized menu
 items, high score handling, card display, and network connections
 including chat capabilities.
 .
 This package is part of TDE, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: tdegames-trinity-dbg
Architecture: any
Depends: tdelibs-trinity-dbg
Replaces: kdegames-kde3-dbg (<< 4:14.0.0~), kdegames-trinity-dbg (<< 4:14.0.0~)
Breaks: kdegames-kde3-dbg (<< 4:14.0.0~), kdegames-trinity-dbg (<< 4:14.0.0~)
Priority: extra
Section: tde
Description: debugging symbols for tdegames
 This package contains the debugging symbols associated with tdegames.
 They will automatically be used by gdb for debugging tdegames-related
 issues.

Package: libtdegames-trinity-dev
Architecture: any
Section: libdevel
Replaces: libkdegames-kde3-dev (<< 4:14.0.0~), libkdegames-trinity-dev (<< 4:14.0.0~)
Breaks: libkdegames-kde3-dev (<< 4:14.0.0~), libkdegames-trinity-dev (<< 4:14.0.0~)
Depends: tdelibs14-trinity-dev, libtdegames1-trinity (= ${Source-Version})
Description: Trinity games library headers
 This package is necessary if you want to develop your own games using
 the TDE games library.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: libtdegames-trinity-doc
Architecture: all
Section: doc
Replaces: libkdegames-kde3-doc (<< 4:14.0.0~), libkdegames-trinity-doc (<< 4:14.0.0~)
Breaks: libkdegames-kde3-doc (<< 4:14.0.0~), libkdegames-trinity-doc (<< 4:14.0.0~)
Recommends: tdelibs14-trinity-doc, libtqtinterface-doc
Suggests: konqueror-trinity | www-browser, libtdegames-trinity-dev
Description: API documentation for the Trinity games library
 This package contains the developers' documentation for libtdegames.
 You may want to install it if you wish to develop games for TDE.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: tdegames-card-data-trinity
Architecture: all
Section: games
Replaces: kdegames-card-data-kde3 (<< 4:14.0.0~), kdegames-card-data-trinity (<< 4:14.0.0~)
Breaks: kdegames-card-data-kde3 (<< 4:14.0.0~), kdegames-card-data-trinity (<< 4:14.0.0~)
Description: Card decks for Trinity games
 Several different collections of card images for use by TDE games.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: atlantik-trinity
Architecture: any
Section: games
Replaces: atlantik-kde3 (<< 4:14.0.0~), atlantik-trinity (<< 4:14.0.0~)
Breaks: atlantik-kde3 (<< 4:14.0.0~), atlantik-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: atlantikdesigner-trinity, monopd
Description: TDE client for Monopoly-like network games
 This is a TDE client for playing Monopoly-like boardgames on the
 monopd network.  It can play any board supported by the network
 server, including the classic Monopoly game, as well as the Atlantik
 game in which the property includes several major cities in North
 America and Europe.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: atlantik-trinity-dev
Architecture: any
Section: devel
Replaces: atlantik-kde3-dev (<< 4:14.0.0~), atlantik-trinity-dev (<< 4:14.0.0~)
Breaks: atlantik-kde3-dev (<< 4:14.0.0~), atlantik-trinity-dev (<< 4:14.0.0~)
Priority: extra
Depends: ${shlibs:Depends}, atlantik-trinity (= ${Source-Version}), libtdegames-trinity-dev (= ${Source-Version})
Description: Development files for Atlantik
 This package contains header files for compiling programs against the
 libraries which come with Atlantik.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kasteroids-trinity
Architecture: any
Section: games
Replaces: kasteroids-kde3 (<< 4:14.0.0~), kasteroids-trinity (<< 4:14.0.0~)
Breaks: kasteroids-kde3 (<< 4:14.0.0~), kasteroids-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Asteroids for Trinity
 You know this game.  It is based on Warwick Allison's QwSpriteField
 widget.
 .
 The objective of kasteroids is to destroy all the asteroids on the
 screen to advance to the next level. Your ship is destroyed if it
 makes contact with an asteroid.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: katomic-trinity
Architecture: any
Section: games
Replaces: katomic-kde3 (<< 4:14.0.0~), katomic-trinity (<< 4:14.0.0~)
Breaks: katomic-kde3 (<< 4:14.0.0~), katomic-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Atomic Entertainment game for Trinity
 This is a puzzle game, in which the object is to assemble a molecule
 from its atoms on a Sokoban-like board.  On each move, an atom goes
 as far as it can in a specified direction before being stopped by a
 wall or another atom.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kbackgammon-trinity
Architecture: any
Section: games
Replaces: kbackgammon-kde3 (<< 4:14.0.0~), kbackgammon-trinity (<< 4:14.0.0~)
Breaks: kbackgammon-kde3 (<< 4:14.0.0~), kbackgammon-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: gnubg
Description: A Backgammon game for Trinity
 KBackgammon is a backgammon program for Trinity. It is based on the
 code, ideas and concepts of KFibs (which is a FIBS client for
 KDE1). For a short time, KBackgammon was called bacKgammon (if you
 know somebody who is still using bacKgammon, please force them to
 upgrade :-)).
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kbattleship-trinity
Architecture: any
Section: games
Replaces: kbattleship-kde3 (<< 4:14.0.0~), kbattleship-trinity (<< 4:14.0.0~)
Breaks: kbattleship-kde3 (<< 4:14.0.0~), kbattleship-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Battleship game for Trinity
 This is an implementation of the Battleship game.  Each player tries
 to be the first to sink all the opponent's ships by firing "blindly"
 at them.  The game has options to play over a network connection or
 against the computer.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kblackbox-trinity
Architecture: any
Section: games
Replaces: kblackbox-kde3 (<< 4:14.0.0~), kblackbox-trinity (<< 4:14.0.0~)
Breaks: kblackbox-kde3 (<< 4:14.0.0~), kblackbox-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: A simple logical game for the Trinity project
 KBlackBox is a game of hide and seek played on an grid of boxes. Your
 opponent (Random number generator, in this case) has hidden several
 balls within this box. By shooting rays into the box and observing
 where they emerge it is possible to deduce the positions of the
 hidden balls. The fewer rays you use to find the balls, the lower
 your score.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kbounce-trinity
Architecture: any
Section: games
Replaces: kbounce-kde3 (<< 4:14.0.0~), kbounce-trinity (<< 4:14.0.0~)
Breaks: kbounce-kde3 (<< 4:14.0.0~), kbounce-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}

## tdegames-trinity 14.0.5

=== debian/changelog ===
tdegames-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 04:14:09 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 Section: tde
 Replaces: kdegames-kde3 (<< 4:14.0.0~), kdegames-trinity (<< 4:14.0.0~)
 Breaks: kdegames-kde3 (<< 4:14.0.0~), kdegames-trinity (<< 4:14.0.0~)
-Depends: atlantik-trinity (>= ${Source-Version}), kasteroids-trinity (>= ${Source-Version}), katomic-trinity (>= ${Source-Version}), kbackgammon-trinity (>= ${Source-Version}), kbattleship-trinity (>= ${Source-Version}), kblackbox-trinity (>= ${Source-Version}), kbounce-trinity (>= ${Source-Version}), kenolaba-trinity (>= ${Source-Version}), kfouleggs-trinity (>= ${Source-Version}), kgoldrunner-trinity (>= ${Source-Version}), kjumpingcube-trinity (>= ${Source-Version}), klickety-trinity (>= ${Source-Version}), klines-trinity (>= ${Source-Version}), kmahjongg-trinity (>= ${Source-Version}), kmines-trinity (>= ${Source-Version}), knetwalk-trinity (>= ${Source-Version}), kolf-trinity (>= ${Source-Version}), konquest-trinity (>= ${Source-Version}), kpat-trinity (>= ${Source-Version}), kpoker-trinity (>= ${Source-Version}), kreversi-trinity (>= ${Source-Version}), ksame-trinity (>= ${Source-Version}), kshisen-trinity (>= ${Source-Version}), ksirtet-trinity (>= ${Source-Version}), ksmiletris-trinity (>= ${Source-Version}), ksnake-trinity (>= ${Source-Version}), ksokoban-trinity (>= ${Source-Version}), kspaceduel-trinity (>= ${Source-Version}), ktron-trinity (>= ${Source-Version}), ktuberling-trinity (>= ${Source-Version}), twin4-trinity (>= ${Source-Version}), lskat-trinity (>= ${Source-Version})
-Suggests: tdegames-trinity-doc-html (>= ${Source-Version}), khelpcenter-trinity
+Depends: atlantik-trinity (>= ${source:Version}), kasteroids-trinity (>= ${source:Version}), katomic-trinity (>= ${source:Version}), kbackgammon-trinity (>= ${source:Version}), kbattleship-trinity (>= ${source:Version}), kblackbox-trinity (>= ${source:Version}), kbounce-trinity (>= ${source:Version}), kenolaba-trinity (>= ${source:Version}), kfouleggs-trinity (>= ${source:Version}), kgoldrunner-trinity (>= ${source:Version}), kjumpingcube-trinity (>= ${source:Version}), klickety-trinity (>= ${source:Version}), klines-trinity (>= ${source:Version}), kmahjongg-trinity (>= ${source:Version}), kmines-trinity (>= ${source:Version}), knetwalk-trinity (>= ${source:Version}), kolf-trinity (>= ${source:Version}), konquest-trinity (>= ${source:Version}), kpat-trinity (>= ${source:Version}), kpoker-trinity (>= ${source:Version}), kreversi-trinity (>= ${source:Version}), ksame-trinity (>= ${source:Version}), kshisen-trinity (>= ${source:Version}), ksirtet-trinity (>= ${source:Version}), ksmiletris-trinity (>= ${source:Version}), ksnake-trinity (>= ${source:Version}), ksokoban-trinity (>= ${source:Version}), kspaceduel-trinity (>= ${source:Version}), ktron-trinity (>= ${source:Version}), ktuberling-trinity (>= ${source:Version}), twin4-trinity (>= ${source:Version}), lskat-trinity (>= ${source:Version})
+Suggests: tdegames-trinity-doc-html (>= ${source:Version}), khelpcenter-trinity
 Description: games from the official Trinity release
  TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
  desktop environment for Unix workstations. It combines ease of use,
@@ -76,7 +76,7 @@
 Section: libdevel
 Replaces: libkdegames-kde3-dev (<< 4:14.0.0~), libkdegames-trinity-dev (<< 4:14.0.0~)
 Breaks: libkdegames-kde3-dev (<< 4:14.0.0~), libkdegames-trinity-dev (<< 4:14.0.0~)
-Depends: tdelibs14-trinity-dev, libtdegames1-trinity (= ${Source-Version})
+Depends: tdelibs14-trinity-dev, libtdegames1-trinity (= ${source:Version})
 Description: Trinity games library headers
  This package is necessary if you want to develop your own games using
  the TDE games library.
@@ -132,7 +132,7 @@
 Replaces: atlantik-kde3-dev (<< 4:14.0.0~), atlantik-trinity-dev (<< 4:14.0.0~)
 Breaks: atlantik-kde3-dev (<< 4:14.0.0~), atlantik-trinity-dev (<< 4:14.0.0~)
 Priority: extra
-Depends: ${shlibs:Depends}, atlantik-trinity (= ${Source-Version}), libtdegames-trinity-dev (= ${Source-Version})
+Depends: ${shlibs:Depends}, atlantik-trinity (= ${source:Version}), libtdegames-trinity-dev (= ${source:Version})
 Description: Development files for Atlantik
  This package contains header files for compiling programs against the
  libraries which come with Atlantik.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

export kde_bindir = /opt/trinity/games

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_KDE_APIDOX := yes

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DBIN_INSTALL_DIR="/opt/trinity/games" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

DEB_DH_INSTALL_SOURCEDIR := $(DEB_DESTDIR)

DEB_INSTALL_DOCS_ALL :=

DEB_INSTALL_CHANGELOGS_ALL = $(shell for f in ChangeLog CHANGELOG CHANGES; do if test -s $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; then echo $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; break; fi; done)

DEB_INSTALL_CHANGELOGS_tdegames := $(DEB_SRCDIR)/ChangeLog

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_DH_MAKESHLIBS_ARGS_libtdegames1-trinity := -V'libtdegames1-trinity'
DEB_DH_MAKESHLIBS_ARGS_atlantik-trinity := -V
DEB_DH_MAKESHLIBS_ARGS_kolf-trinity := -V

PACKAGES_WITH_LIBS := libtdegames1-trinity atlantik-trinity kolf-trinity

common-binary-indep::
	if ! test -d debian/tmp/opt/trinity/share/doc/tde/HTML/en/tdegames-apidocs; then mv debian/tmp/opt/trinity/share/doc/tde/HTML/en/tdegames-*apidocs debian/tmp/opt/trinity/share/doc/tde/HTML/en/tdegames-apidocs; fi

common-binary-arch::
	if ! test -d debian/tmp/opt/trinity/share/doc/tde/HTML/en/tdegames-apidocs; then mv debian/tmp/opt/trinity/share/doc/tde/HTML/en/tdegames-*apidocs debian/tmp/opt/trinity/share/doc/tde/HTML/en/tdegames-apidocs; fi

## tdegames-trinity 14.0.6

=== debian/changelog ===
tdegames-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 05 Mar 2019 23:10:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Daniel Schepler <schepler@debian.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, gawk, gettext, tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libtool, groff-base, sharutils, bzip2, sharutils, libogg-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, gawk, tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libtool, groff-base, sharutils, bzip2, sharutils, libogg-dev, automake, autoconf, libtool, libltdl-dev
 Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, libtqtinterface-doc, tdelibs14-trinity-doc
 Standards-Version: 3.8.4
 
@@ -227,3 +227,4 @@
 Replaces: kbounce-kde3 (<< 4:14.0.0~), kbounce-trinity (<< 4:14.0.0~)
 Breaks: kbounce-kde3 (<< 4:14.0.0~), kbounce-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
+Description: Jezzball clone for the Trinity Desktop Environment

## tdegames-trinity 14.0.8

=== debian/changelog ===
tdegames-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:08:27 +0200

## tdegames-trinity 14.0.9

=== debian/changelog ===
tdegames-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 10:53:13 +0200

## tdegames-trinity 14.0.10

=== debian/changelog ===
tdegames-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: tdegames-trinity
 Section: games
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Daniel Schepler <schepler@debian.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, gawk, tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libtool, groff-base, sharutils, bzip2, sharutils, libogg-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, gawk, tdelibs14-trinity-dev, tdemultimedia-trinity-dev, groff-base, sharutils, bzip2, sharutils, libogg-dev
 Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, libtqtinterface-doc, tdelibs14-trinity-doc
 Standards-Version: 3.8.4
 
@@ -13,7 +13,7 @@
 Section: tde
 Replaces: kdegames-kde3 (<< 4:14.0.0~), kdegames-trinity (<< 4:14.0.0~)
 Breaks: kdegames-kde3 (<< 4:14.0.0~), kdegames-trinity (<< 4:14.0.0~)
-Depends: atlantik-trinity (>= ${source:Version}), kasteroids-trinity (>= ${source:Version}), katomic-trinity (>= ${source:Version}), kbackgammon-trinity (>= ${source:Version}), kbattleship-trinity (>= ${source:Version}), kblackbox-trinity (>= ${source:Version}), kbounce-trinity (>= ${source:Version}), kenolaba-trinity (>= ${source:Version}), kfouleggs-trinity (>= ${source:Version}), kgoldrunner-trinity (>= ${source:Version}), kjumpingcube-trinity (>= ${source:Version}), klickety-trinity (>= ${source:Version}), klines-trinity (>= ${source:Version}), kmahjongg-trinity (>= ${source:Version}), kmines-trinity (>= ${source:Version}), knetwalk-trinity (>= ${source:Version}), kolf-trinity (>= ${source:Version}), konquest-trinity (>= ${source:Version}), kpat-trinity (>= ${source:Version}), kpoker-trinity (>= ${source:Version}), kreversi-trinity (>= ${source:Version}), ksame-trinity (>= ${source:Version}), kshisen-trinity (>= ${source:Version}), ksirtet-trinity (>= ${source:Version}), ksmiletris-trinity (>= ${source:Version}), ksnake-trinity (>= ${source:Version}), ksokoban-trinity (>= ${source:Version}), kspaceduel-trinity (>= ${source:Version}), ktron-trinity (>= ${source:Version}), ktuberling-trinity (>= ${source:Version}), twin4-trinity (>= ${source:Version}), lskat-trinity (>= ${source:Version})
+Depends: atlantik-trinity (>= ${source:Version}), kasteroids-trinity (>= ${source:Version}), katomic-trinity (>= ${source:Version}), kbackgammon-trinity (>= ${source:Version}), kbattleship-trinity (>= ${source:Version}), kblackbox-trinity (>= ${source:Version}), kbounce-trinity (>= ${source:Version}), kenolaba-trinity (>= ${source:Version}), kfouleggs-trinity (>= ${source:Version}), kgoldrunner-trinity (>= ${source:Version}), kjumpingcube-trinity (>= ${source:Version}), klickety-trinity (>= ${source:Version}), klines-trinity (>= ${source:Version}), kmahjongg-trinity (>= ${source:Version}), kmines-trinity (>= ${source:Version}), knetwalk-trinity (>= ${source:Version}), kolf-trinity (>= ${source:Version}), konquest-trinity (>= ${source:Version}), kpat-trinity (>= ${source:Version}), kpoker-trinity (>= ${source:Version}), kreversi-trinity (>= ${source:Version}), ksame-trinity (>= ${source:Version}), kshisen-trinity (>= ${source:Version}), ksirtet-trinity (>= ${source:Version}), ksmiletris-trinity (>= ${source:Version}), ksnake-trinity (>= ${source:Version}), ksokoban-trinity (>= ${source:Version}), kspaceduel-trinity (>= ${source:Version}), ktron-trinity (>= ${source:Version}), ktuberling-trinity (>= ${source:Version}), twin4-trinity (>= ${source:Version}), lskat-trinity (>= ${source:Version}), tdefifteen-trinity (>= ${source:Version})
 Suggests: tdegames-trinity-doc-html (>= ${source:Version}), khelpcenter-trinity
 Description: games from the official Trinity release
  TDE (the Trinity Desktop Environment) is a powerful Open Source graphical

## tdegames-trinity 14.0.11

=== debian/changelog ===
tdegames-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 20 Sep 2021 00:11:36 +0200

## tdegames-trinity 14.0.12

=== debian/changelog ===
tdegames-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:22:45 +0100

## tdegames-trinity 14.0.13

=== debian/changelog ===
tdegames-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 14 Oct 2022 01:48:25 +0200

## tdegames-trinity 14.1.0

=== debian/changelog ===
tdegames-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100
